<form [formGroup]="userInfoUpdateForm" class="centered-form" (ngSubmit)="updateUserInfo()">
  <div class="form-content">
    <div class="columns is-multiline">
      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="firstname"><span i18n="@@form.firstname">First Name </span><span
              class="required-field">*</span></label>
          <p class="control has-icons-right">
            <input id="firstname" class="input" type="text" formControlName="firstName"
              (keyup)="toUppercase(userInfoUpdateForm, 'firstName')"
              [ngClass]="{'has-error': fieldIsInvalid(userInfoUpdateForm, 'firstName'), 'is-valid': fieldIsValid(userInfoUpdateForm, 'firstName')}">
            <span class="icon is-small is-right is-icon-success" *ngIf="fieldIsValid(userInfoUpdateForm, 'firstName')">
              <span class="fas fa-check-circle"></span>
            </span>
            <span class="icon is-small is-right is-icon-warning"
              *ngIf="fieldIsInvalid(userInfoUpdateForm, 'firstName')">
              <span class="fas fa-exclamation-circle"></span>
            </span>
          </p>

          <div class="form-incorrect-field-message" *ngIf="fieldIsInvalid(userInfoUpdateForm, 'firstName')">
            <div *ngIf="firstName.errors['required']" i18n="@@form.errors.invalidFirstname">
              You must enter your first name.
            </div>
            <div *ngIf="firstName.errors['pattern']" i18n="@@form.errors.forbiddenCharacters">
              Special characters are forbidden.
            </div>
          </div>
        </div>
      </div>

      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="lastname"><span i18n="@@form.lastname">Last Name </span><span
              class="required-field">*</span></label>
          <p class="control has-icons-right">
            <input id="lastname" class="input" type="text" formControlName="lastName"
              (keyup)="toUppercase(userInfoUpdateForm,'lastName')"
              [ngClass]="{'has-error': fieldIsInvalid(userInfoUpdateForm, 'lastName'), 'is-valid': fieldIsValid(userInfoUpdateForm, 'lastName')}">
            <span class="icon is-small is-right is-icon-success" *ngIf="fieldIsValid(userInfoUpdateForm, 'lastName')">
              <span class="fas fa-check-circle"></span>
            </span>
            <span class="icon is-small is-right is-icon-warning" *ngIf="fieldIsInvalid(userInfoUpdateForm, 'lastName')">
              <span class="fas fa-exclamation-circle"></span>
            </span>
          </p>

          <div class="form-incorrect-field-message" *ngIf="fieldIsInvalid(userInfoUpdateForm, 'lastName')">
            <div *ngIf="lastName.errors['required']" i18n="@@form.errors.invalidLastname">
              You must enter your last name.
            </div>
            <div *ngIf="lastName.errors['pattern']" i18n="@@form.errors.forbiddenCharacters">
              Special characters are forbidden.
            </div>
          </div>
        </div>
      </div>

      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="email"><span i18n="@@form.email">Email </span><span
              class="required-field">*</span></label>
          <p class="control has-icons-right">
            <input id="email" class="input" type="email" [value]="email.value" disabled>
          </p>
        </div>
      </div>

      <div class="column is-12">
        <div class="field">
          <input id="acceptMessages" class="is-checkradio" type="checkbox" formControlName="acceptMessages">
          <label for="acceptMessages" class="label acceptMessagesLabel checkbox-label" i18n="@@form.messagesAgreement">I
            agree
            to
            receive information</label>
          <p class="acceptMessagesInfo" i18n="@@form.acceptMessagesInfo">
            Check this box if you agree to receive information emails from Data about the operation of services, model
            changes, new formats, maintenance operations. Your data will not be sent to partners.
          </p>
        </div>
      </div>

      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="entreprise" i18n="@@form.entreprise">Company</label>
          <p class="control">
            <input id="entreprise" class="input" type="text" formControlName="entreprise">
          </p>
        </div>
      </div>

      <div class="column is-hidden-mobile is-6-tablet"></div>

      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="address" i18n="@@form.address">Address</label>
          <p class="control">
            <input id="address" class="input" type="text" formControlName="address">
          </p>
        </div>
      </div>

      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="zipcode" i18n="@@form.zipcode">Zipcode</label>
          <p class="control">
            <input id="zipcode" class="input" type="text" formControlName="zipcode">
          </p>
        </div>
      </div>

      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="city" i18n="@@form.city">City</label>
          <p class="control">
            <input id="city" class="input" type="text" formControlName="city">
          </p>
        </div>
      </div>

      <div class="column is-12-mobile is-6-tablet">
        <div class="field">
          <label class="label" for="country" i18n="@@form.country">Country</label>
          <p class="control">
            <input id="country" class="input" type="text" formControlName="country">
          </p>
        </div>
      </div>

      <div class="column is-12">
        <div class="field">
          <input id="consent" class="is-checkradio" type="checkbox" formControlName="consent">
          <label for="consent" class="label checkbox-label consent-label">
            <p>
              <span i18n="@@consent.withoutCGU">I accept the processing of the information
                entered in this form to respond to my request.</span><span class="required-field">*</span>
            </p>
          </label>
          <div class="form-incorrect-field-message" *ngIf="fieldIsInvalid(userInfoUpdateForm,'consent')">
            <div *ngIf="consent.errors['required']" i18n="@@consent.error">
              You must accept the processing of the information entered in this form to
              respond to your request.
            </div>
          </div>
          <p class="consent-text" i18n="@@consent.userinfo.text">
            According to French Law ≪ Informatique et Libertés ≫ concerning data processing and individual liberties,
            registration and use of your personal datas are necessary to answer your questions.
            You allow « data.grandlyon.com » to collect and use your datas by clicking the box « I accept the processing of the information entered in this form to respond to my request. ». Data collected are: e-mail, firstname, lastname, company, address, zipcode, city and country.
            Recipients of these personal datas are, with strict respect of goals mentionned above,
            responsible departements of Metropole de Lyon and its service providers.
            You have the right to access, correct and delete the personal data.
            When a consent is required for a processing, you have the right to revoke it.
            Under some regulary conditions, you have the right to ask for processing limitation or to get opposed to it.
            To exercise these rights, you can contact the Délégué à la Protection des Données by mail at :
            Métropole de Lyon – Délégué à la Protection des Données – Direction des Affaires Juridiques et de la Commande Publique – 20, rue du Lac – BP 33569 – 69505 Lyon Cedex 03
            or by form at : https://demarches.toodego.com/sve/proteger-mes-donnees-personnelles/.
            For any demand about collecting or processing of your personal datas, you can contact the Délégué à la Protection des Données (DPD), whose adress is mentionned above.
            For strong conflicts concerning your personal datas, you have the right to alert the CNIL [supervisory authority] which address is : Commission Nationale Informatique et Libertés, 3 place de Fontenoy 75007 Paris, 01 53 73 22 22, https://www.cnil.fr/fr/vous-souhaitez-contacter-la-cnil
          </p>
        </div>
      </div>
    </div>
  </div>
  <div class="column is-12 action-profile">
    <button type="button" class="button btn-red-text" i18n="@@userProfil.deleteAccount"
      [disabled]="userAccountDeletionRequestIsPending" (click)="openDeleteAccountModal()">Delete
      my account</button>
    <button type="submit" class="button button-gl" [ngClass]="{'is-loading': userInfoUpdateRequestIsPending}"
      i18n="@@userProfil.updateProfil"
      [disabled]="userInfoUpdateFormIsInvalid || userInfoUpdateFormDisabled || !userInfoUpdateForm.dirty">Update
      my profil</button>
  </div>

</form>

<div class="modal" [ngClass]="{'is-active': deleteAccountModalIsOpened}">
  <div class="modal-background" (click)="closeDeleteAccountModal()"></div>
  <div class="modal-content">
    <header class="modal-card-head">
      <p class="custom-modal-card-title has-text-weight-bold"
        i18n="@@userProfil.userAccountDeletionConfirmationQuestion">Are
        you sure you want to delete your account?</p>
    </header>
    <footer class="modal-card-foot has-text-right">
      <button class="button btn-red-text" (click)="closeDeleteAccountModal()" i18n="@@userProfil.cancel">Cancel</button>
      <button class="button button-gl" i18n="@@userProfil.delete" (click)="deleteAccount()"
        [ngClass]="{'is-loading': userAccountDeletionRequestIsPending}"
        [disabled]="userAccountDeletionRequestIsPending">Delete</button>
    </footer>
  </div>
  <button class="modal-close is-large" aria-label="close" (click)="closeDeleteAccountModal()"></button>
</div>
